Bug 1266498 - [QE] (6.4.z) Reload operation fails with java.util.concurrent.ExecutionException
[QE] (6.4.z) Reload operation fails with java.util.concurrent.ExecutionException
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.4.4
Unspecified Unspecified
unspecified Severity high
: CR1
: EAP 6.4.12
Assigned To: Ryan Emerson
Peter Mackay
eap6412-proposed
:
Depends On:
Blocks: eap6412-payload
  Show dependency treegraph
 
Reported: 2015-09-25 08:19 EDT by Miroslav Novak
Modified: 2017-01-17 08:15 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 08:13:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Novak 2015-09-25 08:19:59 EDT
Description of problem:

There is a regression in test JMSBridgeManagementTestCase. Test sometimes fails during preparation phase of EAP server during call reload operation by ModelControllerClient with exception [1]. Problem was reproduced only on slow virtual machines.

Version-Release number of selected component (if applicable):
EAP 6.4.4.CP.CR3

How reproducible:
Scenario (JMSBridgeManagementTestCase.java): 
Start EAP 6.4.4.CP.CR3
Using ModelControllerClient modify configuration of server:
   - disable security for HornetQ
   - add 2 queues - sourceQueue, targetQueue
   - add XA connection factory
   - deploy JMS bridge
Calling reload operation by ModelControllerClient sometimes fails with exception in [1].

Steps to Reproduce:
Run JMSBridgeManagementTestCase from EAP 6.4.4.CP.CR3 test suite. Not 100% reproducer. Fail occurs only sometimes.

Actual results:
Exception: java.io.IOException: java.util.concurrent.ExecutionException is thrown when invoking reload operation using ModelControllerClient.

Expected results:
No Exception.
Comment 3 Brian Stansberry 2015-09-25 11:14:51 EDT
The test needs to be fixed to use a reliable reloading algorithm, following the patterns used in the WildFly and WildFly Core test suites.
Comment 10 Mike McCune 2016-03-28 19:25:37 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 12 Peter Mackay 2016-11-16 04:55:49 EST
Verified with EAP 6.4.12.CP.CR1
Comment 13 Petr Penicka 2017-01-17 08:13:57 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.
Comment 14 Petr Penicka 2017-01-17 08:15:56 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.